# Integrate Spike with ElastAlert

### Service and Integration

Make sure to add an ElastAlert integration and copy the webhook URL.

{% content-ref url="/pages/-Ln3rb4wLUFeI-OAPcmq" %}
[Create integration and service on our dashboard](/integrations-guideline/create-integration-and-service-on-dashboard.md)
{% endcontent-ref %}

### Using webhooks with ElastAlert

ElastAlert provides an option to configure alerts via HTTP POST requests. Read more [here](https://elastalert.readthedocs.io/en/latest/ruletypes.html#http-post).

Copy the following code snippet and add the Spike webhook URL for `http_post_url`

Paste this code in the configuration YAML file for ElastAlert.

```
alert: post
http_post_url: <Paste the Spike.sh Webhook URL for ElastAlert integration
http_post_static_payload:
	Title: <Incident Title>
http_post_all_values: true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spike.sh/integrations-guideline/integrate-spike-with-elastalert.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
